Bug 1507508 - pika 0.11
Summary: pika 0.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-pika
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-30 13:10 UTC by Raphael Groner
Modified: 2018-02-14 08:51 UTC (History)
5 users (show)

Fixed In Version: python-pika-0.11.2-2.fc26 python-pika-0.11.2-2.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-28 21:14:56 UTC
Type: Bug


Attachments (Terms of Use)

Description Raphael Groner 2017-10-30 13:10:16 UTC
Latest upstream release: 0.11.0
Current version/release in Fedora: python-pika-0.10.0-11.fc27

Pika 0.11.0 introduces lots of fixes and improvements over the 0.10.0 release currently packaged.

Release URL: https://pypi.python.org/pypi/pika/0.11.0

Changelog URL: https://github.com/pika/pika/releases/tag/0.11.0
or https://github.com/pika/pika/blob/ddc8705d778f4fe2d9047239f9a4aca5c21018f8/CHANGELOG.rst

Please upgrade python-pika! Also requested for epel7.

Comment 1 Raphael Groner 2017-10-30 13:16:19 UTC
Can anyone do this update? Otherwise, I could take a look into when there`ll be time.

Comment 2 Neal Gompa 2017-10-31 12:33:03 UTC
I'll look into it sometime this week.

Comment 3 Daniel Bartz 2017-12-08 09:23:15 UTC
Version 0.11.2 has just been released

https://github.com/pika/pika/releases/tag/0.11.2

Comment 4 Neal Gompa 2017-12-08 19:14:32 UTC
I'm working on this.

Comment 5 Lumír Balhar 2018-01-04 15:18:46 UTC
I wanted to change something (fix a bug) in the specfile and propose a PR but I discovered that python-pika FTBFS.

Could anybody fix FTBFS issue and update the package, please?

Let me know if I can help with something.

Perfect would be to include also this patch. The problem here is that with current folders listing the package doesn't own its main directories and these are left on a filesystem after uninstallation procedure.


 %files -n python2-%{srcname}
-%{python2_sitelib}/%{srcname}*/*
+%{python2_sitelib}/%{srcname}*/
 %license LICENSE
 %doc README.rst CHANGELOG.rst
 
 %if %{with python3}
 %files -n python%{python3_pkgversion}-%{srcname}
-%{python3_sitelib}/%{srcname}*/*
+%{python3_sitelib}/%{srcname}*/
 %license LICENSE
 %doc README.rst CHANGELOG.rst
 
 %if 0%{?with_python3_other}
 %files -n python%{python3_other_pkgversion}-%{srcname}
-%{python3_other_sitelib}/%{srcname}*/*
+%{python3_other_sitelib}/%{srcname}*/
 %license LICENSE
 %doc README.rst CHANGELOG.rst
 %doc examples/ docs/

If you don't want to, don't worry. Just fix build issues and update the package and I'll propose this patch later.

Thanks and have a nice day.

Comment 6 Fedora Update System 2018-01-08 12:57:43 UTC
python-pika-0.11.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e84c9da0fb

Comment 7 Fedora Update System 2018-01-08 12:58:20 UTC
python-pika-0.11.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3457ae30a8

Comment 8 Fedora Update System 2018-01-08 17:42:33 UTC
python-pika-0.11.2-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e84c9da0fb

Comment 9 Fedora Update System 2018-01-08 20:30:09 UTC
python-pika-0.11.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3457ae30a8

Comment 10 Daniel Bartz 2018-01-27 10:42:49 UTC
Any change someone may build the package for el7 ?

Comment 11 Fedora Update System 2018-01-28 21:14:56 UTC
python-pika-0.11.2-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-01-28 21:32:19 UTC
python-pika-0.11.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Daniel Bartz 2018-02-14 08:51:44 UTC
I know you close this issue. However the build has not been provided for epel-7.

FYI : I run mock on fc27 (fully updated on Feb 14, 2018) for epel-7 successfully from the python-pika-0.11.2-2.fc27.src.rpm from koji:

mock -r epel-7-x86_64 --rebuild ./python-pika-0.11.2-2.fc27.src.rpm

So would it be possible to also add the el7 build in epel-7 ?


Note You need to log in before you can comment on or make changes to this bug.